package lexSimp.app;

import lexSimp.Simplifier;

/**
 * @author Or Biran
 *
 */
public class SimplifierRunner {

	public static void main(String[] args) {
		if (args.length < 2 || args.length > 4) {
			System.out.println("USAGE: SimplifierRunner <rulesDir> <inputFile> [<verbose>] [<window>]");
			System.out.println("<verbose> default - false");
			System.out.println("<window> default -  10");
			System.exit(0);
		}

		String workingDir = args[0];  //"working/output/wikipedia2";
		String inputFile = args[1];  //"working/output/toy/input_large.txt";
		Boolean verbose = args.length >= 3 ? Boolean.parseBoolean(args[2]) : false;
		Integer window = args.length == 4 ? Integer.parseInt(args[3]) : 10;
		
		Simplifier simplifier = new Simplifier(workingDir);
		simplifier.setVerboseOutput(verbose);
		simplifier.setWindow(window);

		simplifier.simplify(inputFile);
	}
}
