package ob.core;

/**
 * @author Or Biran
 *
 * Abstract class for Feature.
 */
public abstract class AbstractFeature implements Feature {

	private String _name; 
		
	public AbstractFeature(String name) {
		_name = name;
	}

	@Override
	public String getName() {
		return _name;
	}

	
	@Override
	public boolean equals(Object arg0) {
		if (arg0 == null) return false;
		if (arg0 == this) return true;
		if (arg0 instanceof Feature) {
			Feature other = (Feature)arg0;
			return _name.equals(other.getName()) && featureEquals(other);
		}
		return false;
	}

	@Override
	public int hashCode() {
		return _name.hashCode();
	}

	protected abstract boolean featureEquals(Feature other);
	
}
