package ob.core;

/**
 * @author Or Biran
 * 
 * Abstract class for Value
 */
public abstract class AbstractValue implements Value {

	private Object _value;
	
	public AbstractValue(Object value) {
		_value = value;
	}

	@Override
	public boolean equals(Object obj) {
		if (obj==null) return false;
		if (obj==this) return true;
		if (obj instanceof AbstractValue) {
			return _value.equals(((AbstractValue)obj)._value);
		}
		return false;
	}

	@Override
	public int hashCode() {
		return _value.hashCode();
	}

	@Override
	public String toString() {
		return _value.toString();
	}

	public Object getValue() {
		return _value;
	}

	
}
