package ob.core;

import java.util.Collection;

/**
 * @author Or Biran
 *
 */
public interface FeatureVector {

	Collection<Feature> getFeatures();
	Collection<Feature> getSortedFeatures();
	Double getValue(Feature feature);
	void consolidate(FeatureVector otherVector);
	void increment(Feature feature, double increment);
	void set(Feature feature, double value);
	int size();
	
	double euclideanNorm();

	void setInitialScore(Double initialScore);
	Double getInitialScore();
	void removeFeaturesBelow(double minScore);
}
