package ob.core;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

/**
 * @author Or Biran
 *
 * A feature with string values 
 */
public class StringFeature extends AbstractFeature {

	private List<String> _nominals;
	
	public StringFeature(String name, List<String> nominals) {
		super(name);
		_nominals = nominals;
	}
	
	public StringFeature(String name) {
		this(name, new ArrayList<String>());
	}

	@Override
	public FeatureType getType() {
		return FeatureType.STRING;
	}

	@Override
	protected boolean featureEquals(Feature other) {
		if (! (other instanceof StringFeature)) return false;
		StringFeature sf = (StringFeature)other;
		if (_nominals == null) return sf._nominals == null;
		// if nominals are not null:
		if (sf._nominals == null) return false;
		if (_nominals.size() != sf._nominals.size()) return false;
		for (int i=0; i<_nominals.size(); i++) {
			if (! _nominals.get(i).equals(sf._nominals.get(i))) return false;
		}
		return true;
	}

	public Collection<String> getNominals() {
		return _nominals;
	}

	@Override
	public boolean isNominal() {
		return getNominals() != null;
	}

}
