package ob.nlp;

/**
 * @author Or Biran
 *
 * Part of Speech tag. 
 */
public interface POS {

	String getString();
	void setString(String string);
	boolean is(String string);
	String getStem();

	boolean isVerb();
	boolean isVerbBaseForm();
	boolean isVerbPastTense();
	boolean isVerbGerundOrPresentParticiple();
	boolean isVerbPastParticiple();
	boolean isVerbNonThirdPersonSingularPresent();
	boolean isVerbThirdPersonSingularPresent();

	boolean isNoun();

	/** True if POS is a noun, but not a pronoun */
	boolean isSimpleNoun();

	boolean isPersonalPronoun();
	boolean isProperNoun();

	/** True if POS is a plural noun, but not a pronoun */
	boolean isPluralSimpleNoun();

	boolean isAdjective();
	boolean isAdverb();

	boolean isPossessive();
	boolean isPreposition();

	boolean isCardinalNumeral();
	
	boolean isPeriod();
	boolean isComma();

	boolean isWhDeterminer();
	boolean isWhPronoun();
	boolean isWhDeterminerOrPronoun();
	boolean isWhPronounPossessive();
	boolean isWhPronounObjective();
	
	POSFactory getFactory();

}
