package ob.nlp;

/**
 * @author Or Biran
 *
 * Produces POS implementations.
 */
public interface POSFactory {

	POS getPos(String string);

	POS getEmptyPos();

	POS getPreposition();
	POS getPossessive();

	POS getInfiniteMarkerTo();

	POS getVerbBaseForm();
	POS getVerbPastTense();
	POS getVerbPastParticiple();
	POS getVerbThirdPersonSingularPresent();

	POS getComma();
	POS getPeriod();

	POS getSimpleNounSingular();
	POS getProperNounSingular();
	POS getPronoun();

	POS getAdjective();
	POS getAdverb();

}
