package ob.nlp;

import java.util.ArrayList;
import java.util.List;

import ob.core.CentralFactory;
import ob.nlp.util.NlpUtils;


public class SimpleWordExtractor implements WordExtractor {

	@Override
	public List<Word> extractWords(String text) {
		List<String> wordStrs = NlpUtils.getWords(text);
		List<Word> words = new ArrayList<Word>();
		for (String wordStr : wordStrs) {
			String[] strs = wordStr.contains("\\/") ? wordStr.split("\\/") : new String[] {wordStr};
			for (String str : strs) {
				String stemmed = NlpUtils.normalizeLetters(str.toLowerCase());//NlpUtils.stem(wordStr);
				words.add(CentralFactory.getWord(stemmed, null));
			}
		}
		return new SimpleWordsToTerms().wordsToTerms(words);
	}

}
