package ob.nlp;

import java.io.StringReader;
import java.util.ArrayList;
import java.util.List;

import ob.core.CentralFactory;

import edu.stanford.nlp.ling.HasWord;
import edu.stanford.nlp.process.LexedTokenFactory;
import edu.stanford.nlp.process.PTBTokenizer;

public class StanfordPTBWordExtractor implements WordExtractor {

	@Override
	public List<Word> extractWords(String text) {
		PTBTokenizer<HasWord> tokenizer = new PTBTokenizer<HasWord>(
				new StringReader(text), 
				false, /* tokenize carriage returns */ 
				new LexedTokenFactory<HasWord>() {
					@SuppressWarnings("serial")
					@Override
					public HasWord makeToken(final String arg0, int arg1, int arg2) {
						return new HasWord() {
							private String _word = arg0;
							public String word() {return _word;}
							public void setWord(String arg0) {_word = arg0;}
						};
					}
				});

		List<Word> words = new ArrayList<Word>();
		
		for (HasWord hasWord : tokenizer.tokenize()) {
			words.add(CentralFactory.getWord(hasWord.word().toLowerCase(), null));
		}
		
		return new SimpleWordsToTerms().wordsToTerms(words);
	}

	
}
