package ob.nlp;

public class WordImpl implements Word {

	private POS _pos;
	private String _text;
	
	
	
	public WordImpl(String text, POS pos) {
		_text = text;
		_pos = pos;
	}

	@Override
	public POS getPos() {
		return _pos;
	}

	@Override
	public String getText() {
		return _text;
	}

	@Override
	public boolean equals(Object obj) {
		if (obj==null) return false;
		if (obj==this) return true;
		if (obj instanceof Word == false) return false;
		Word wordObj = (Word)obj;
		if (! equalText(getText(), wordObj.getText())) return false;
		if (! equalPos(getPos(), wordObj.getPos())) return false;
		return true;
	}

	private boolean equalPos(POS pos1, POS pos2) {
		if (pos1==null) return pos2==null;
		return pos1.equals(pos2);
	}

	private boolean equalText(String text1, String text2) {
		if (text1==null) return text2==null;
		return text1.equals(text2);
	}

	@Override
	public int hashCode() {
		int hash = 31;
		hash = (hash * 19) + (_text==null ? 0 : _text.hashCode());
		hash = (hash * 19) + (_pos==null ? 0 : _pos.getString().hashCode());
		return hash;
	}

	@Override
	public String toString() {
		return getText();
	}

	@Override
	public int compareTo(Word arg0) {
		int comp = _text.compareTo(arg0.getText());
		if (comp != 0) return comp;
		
		if (_pos == null && arg0.getPos() == null) return 0;
		if (_pos == null) return -1;
		if (arg0.getPos() == null) return 1;
		return _pos.getString().compareTo(arg0.getPos().getString());
	}

	
}
