package ob.nlp.corpus;

import java.util.Collection;

import ob.core.FeatureVector;
import ob.nlp.Word;


/**
 * @author Or Biran
 *
 * A set of context vectors for the words of a document or corpus.  
 */
public interface ContextVectors {

	Collection<Word> getWords();

	FeatureVector getVector(Word word);

	void setVector(Word word, FeatureVector vector);
	
	void consolidate(ContextVectors contextVectors);

	int size();

}
