package ob.nlp.corpus;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;

import ob.core.CentralFactory;
import ob.core.FeatureVector;
import ob.nlp.Word;


public class ContextVectorsImpl implements ContextVectors {

	private Map<Word, FeatureVector> _map = new HashMap<Word, FeatureVector>();
	
	public ContextVectorsImpl() {
	}

	@Override
	public FeatureVector getVector(Word word) {
		return _map.get(word);
	}

	@Override
	public void setVector(Word word, FeatureVector vector) {
		_map.put(word, vector);
	}

	@Override
	public void consolidate(ContextVectors vectors) {
		for (Word word : vectors.getWords()) {
			FeatureVector vector = _map.get(word);
			if (vector == null) vector = CentralFactory.getFeatureVector();
			FeatureVector otherVector = vectors.getVector(word);
			vector.consolidate(otherVector);
			_map.put(word, vector);
		}
	}

	@Override
	public Collection<Word> getWords() {
		return _map.keySet();
	}

	@Override
	public int size() {
		return _map.size();
	}
	
}
