package ob.nlp.penn;

import ob.nlp.POS;
import ob.nlp.POSFactory;

/**
 * @author Or Biran
 *
 * Produces Penn Treebank POS's.
 */
public class PennPOSFactory implements POSFactory {

	public POS getPos(String string) {
		return new PennPOS(string);
	}

	public POS getPreposition() {
		return getPos(PennPOS.PREPOSITION);
	}

	public POS getPossessive() {
		return getPos(PennPOS.POSSESSIVE);
	}

	public POS getInfiniteMarkerTo() {
		return getPos(PennPOS.INFINITE_MARKER_TO);
	}

	public POS getVerbBaseForm() {
		return getPos(PennPOS.VERB_BASE_FORM);
	}

	public POS getVerbPastTense() {
		return getPos(PennPOS.VERB_PAST_TENSE);
	}

	public POS getVerbPastParticiple() {
		return getPos(PennPOS.VERB_PAST_PARTICIPLE);
	}

	public POS getVerbThirdPersonSingularPresent() {
		return getPos(PennPOS.VERB_THIRD_PERSON_SINGULAR_PRESENT);
	}

	public POS getEmptyPos() {
		return getPos("");
	}

	public POS getComma() {
		return getPos(PennPOS.COMMA);
	}

	public POS getPeriod() {
		return getPos(PennPOS.PERIOD);
	}

	public POS getSimpleNounSingular() {
		return getPos(PennPOS.SIMPLE_NOUN_PREFIX);
	}

	public POS getProperNounSingular() {
		return getPos(PennPOS.PROPER_NOUN_PREFIX);
	}

	public POS getAdjective() {
		return getPos(PennPOS.ADJECTIVE_PREFIX);
	}

	public POS getAdverb() {
		return getPos(PennPOS.ADVERB_PREFIX);
	}

	public POS getPronoun() {
		return getPos(PennPOS.PERSONAL_PRONOUN);
	}

	
}
