package ob.nlp.wordNet.jwnl;

import ob.nlp.POS;
import ob.nlp.penn.PennPOS;

public class JwnlUtils {

	public static net.didion.jwnl.data.POS toJwnlPos(POS pos) {
		if (pos.isNoun()) return net.didion.jwnl.data.POS.NOUN;
		if (pos.isVerb()) return net.didion.jwnl.data.POS.VERB;
		if (pos.isAdjective()) return net.didion.jwnl.data.POS.ADJECTIVE;
		if (pos.isAdverb()) return net.didion.jwnl.data.POS.ADVERB;
		else throw new RuntimeException("no jwnl POS equivalent of " + pos.getString());
	}

	public static POS fromJwnlPos(net.didion.jwnl.data.POS pos) {
		if (pos.equals(net.didion.jwnl.data.POS.VERB)) return PennPOS.FACTORY.getVerbBaseForm();
		if (pos.equals(net.didion.jwnl.data.POS.NOUN)) return PennPOS.FACTORY.getSimpleNounSingular();
		if (pos.equals(net.didion.jwnl.data.POS.ADJECTIVE)) return PennPOS.FACTORY.getAdjective();
		if (pos.equals(net.didion.jwnl.data.POS.ADVERB)) return PennPOS.FACTORY.getAdverb();
		else throw new RuntimeException("unexpected jwnl POS type: " + pos);
	}

}
