package ob.operators;

import ob.core.Feature;
import ob.core.FeatureVector;

/**
 * @author Or Biran
 *
 * Finds the number of features two vectors have in common.
 */
public class CommonFeatures implements VectorCombination {

	@Override
	public double getValue(FeatureVector vector1, FeatureVector vector2) {
		double commonFeatures = 0;
		
		for (Feature feature : vector1.getFeatures()) {
			if (vector2.getValue(feature) != null) commonFeatures++;
		}
		
		return commonFeatures;
	}

}
