package ob.operators;

import ob.core.FeatureVector;

/**
 * @author Or Biran
 *
 * Computes the cosine similarity of two vectors.
 */
public class CosineSimilarity implements VectorCombination {
	
	private DotProduct _dotProduct = new DotProduct();

	@Override
	public double getValue(FeatureVector vector1, FeatureVector vector2) {
		double numerator = _dotProduct.getValue(vector1, vector2);
		double denominator = vector1.euclideanNorm() * vector2.euclideanNorm();
		return numerator / denominator;
	}

	
}
