package ob.operators;

import ob.core.Feature;
import ob.core.FeatureVector;

/**
 * @author Or Biran
 * 
 * Calculates the dot product of two vectors.
 */
public class DotProduct implements VectorCombination {

	@Override
	public double getValue(FeatureVector vector1, FeatureVector vector2) {
		double dotProduct = 0;
		
		for (Feature feature : vector1.getFeatures()) {
			Double value2 = vector2.getValue(feature);
			if (value2 != null) {
				dotProduct += value2 * vector1.getValue(feature);
			}
		}
		
		return dotProduct;
	}

}
